Package org.jbpm.services.task.impl.model

## Class AttachmentImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.AttachmentImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Attachment`, `org.kie.internal.task.api.model.InternalAttachment`

      @Entity
      public class AttachmentImpl
      extends Object
      implements org.kie.internal.task.api.model.InternalAttachment

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AttachmentImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `org.kie.internal.task.api.model.AccessType` | `getAccessType()` |
    `Date` | `getAttachedAt()` |
    `org.kie.api.task.model.User` | `getAttachedBy()` |
    `long` | `getAttachmentContentId()` |
    `String` | `getContentType()` |
    `Long` | `getId()` |
    `String` | `getName()` |
    `int` | `getSize()` |
    `int` | `hashCode()` |
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `setAccessType​(org.kie.internal.task.api.model.AccessType accessType)` |
    `void` | `setAttachedAt​(Date attachedAt)` |
    `void` | `setAttachedBy​(org.kie.api.task.model.User attachedBy)` |
    `void` | `setAttachmentContentId​(long contentId)` |
    `void` | `setContent​(org.kie.api.task.model.Content content)` | Sets the content for this attachment, i.e. the size and the attachmentContentId.
    `void` | `setContentType​(String contentType)` |
    `void` | `setId​(long id)` |
    `void` | `setName​(String name)` |
    `void` | `setSize​(int size)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttachmentImpl

          public AttachmentImpl()

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### getId

          public Long getId()

      Specified by:
        `getId` in interface `org.kie.api.task.model.Attachment`

    - #### setId

          public void setId​(long id)

      Specified by:
        `setId` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `org.kie.api.task.model.Attachment`

    - #### setName

          public void setName​(String name)

      Specified by:
        `setName` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getAccessType

          public org.kie.internal.task.api.model.AccessType getAccessType()

      Specified by:
        `getAccessType` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### setAccessType

          public void setAccessType​(org.kie.internal.task.api.model.AccessType accessType)

      Specified by:
        `setAccessType` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getContentType

          public String getContentType()

      Specified by:
        `getContentType` in interface `org.kie.api.task.model.Attachment`

    - #### setContentType

          public void setContentType​(String contentType)

      Specified by:
        `setContentType` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getAttachedAt

          public Date getAttachedAt()

      Specified by:
        `getAttachedAt` in interface `org.kie.api.task.model.Attachment`

    - #### setAttachedAt

          public void setAttachedAt​(Date attachedAt)

      Specified by:
        `setAttachedAt` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getAttachedBy

          public org.kie.api.task.model.User getAttachedBy()

      Specified by:
        `getAttachedBy` in interface `org.kie.api.task.model.Attachment`

    - #### setAttachedBy

          public void setAttachedBy​(org.kie.api.task.model.User attachedBy)

      Specified by:
        `setAttachedBy` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in interface `org.kie.api.task.model.Attachment`

    - #### setContent

          public void setContent​(org.kie.api.task.model.Content content)

      Sets the content for this attachment, i.e. the size and the attachmentContentId.
      Specified by:
        `setContent` in interface `org.kie.internal.task.api.model.InternalAttachment`
      Parameters:
        `content` - attachment content

    - #### setSize

          public void setSize​(int size)

      Specified by:
        `setSize` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### getAttachmentContentId

          public long getAttachmentContentId()

      Specified by:
        `getAttachmentContentId` in interface `org.kie.api.task.model.Attachment`

    - #### setAttachmentContentId

          public void setAttachmentContentId​(long contentId)

      Specified by:
        `setAttachmentContentId` in interface `org.kie.internal.task.api.model.InternalAttachment`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals​(Object obj)

      Overrides:
        `equals` in class `Object`